module Stenographer
  class Transcript
    
    attr_accessor :conversations

    def initialize(dir=nil)
      dir ||= "/Users/#{`whoami`.strip}/Library/Application\ Support/Adium\ 2.0/Users/default/Logs/**/*.xml"
      @conversations = []
      
      Dir.glob(dir).each_with_index do |file, i|
        doc = Nokogiri.XML(File.open(File.expand_path(file), 'rb'))
        conversation = Conversation.new(i, doc)
        next unless conversation.messages.any?

        @conversations << conversation
      end
    end

    def read_back(opts={})
      conversations.each do |conversation|
        conversation.read_back(opts)
      end

      self
    end

    def to_s
      "Transcript <conversations: #{conversations.length}>"
    end
  end
end
